mob/Monsters
	icon='Monsters.dmi'
	var/
		target
		minhit
		maxhit
		Sleep
		EXPGIVE
		GOLDGIVE
		list/Items=list()
	proc
		Wander()
			while(!target)
				sleep(20)
				step_rand(src)
				for(var/mob/Player/M in oview(6))
					target=M
				for(var/mob/Henchmen/S in oview(6))
					if(get_dist(target,src)>get_dist(S,src)) target=S
				if(target) AttackTarget()
		AttackTarget()
			while(target)
				if(get_dist(src,target)>1)
					step_towards(src,target)
					sleep(20)
				else
					if(z!=target:z) return
					if(HP<=round(MHP/3.5)) RunAway()
					var/damage=rand(minhit,maxhit)
					src.dir=get_dir(src,target)
					if(damage<1||target:AGILITY+rand(1,-1)>damage)
						target<<"[src] attempts to attack you, but you dodge the blow."
						sleep(Sleep)
					else
						damage-=(target:DEF+rand(1,-1))
						if(damage<1) return
						target<<"[src] attacks you for [damage]."
						target:Combat=1
						spawn(100) if(target) target:Combat=0
						target:HP-=damage
						if(prob(20)&&target:MORTAL)
							Blood(target:x,target:y,target:z)
							if(target:Bleeding<6) target:Bleeding++
							spawn()target:Bleed()
						target:Bars()
						target:DeathCheck(src)
						sleep(Sleep)
		RunAway()
			while(get_dist(src,target)<10)
				step_away(src,target)
				sleep(5)
	DeathCheck(mob/killer)
		if(HP<=0)
			killer<<"You've killed the [src]!"
			killer.LEVELCHECK(EXPGIVE)
			GOLDGIVE+=rand(-2,3)
			if(GOLDGIVE)
				var/obj/Equipment/Coin/C=new/obj/Equipment/Coin(src.loc)
				C.Worth=GOLDGIVE
				C.name="[GOLDGIVE] Coins"
			killer<<"The [src] dropped [GOLDGIVE] gold."
			if(Items.len)
				var/TYPE=pick(Items)
				if(prob(Items[TYPE]))
					var/i=new TYPE
					if(istype(i,/obj/)) i:Enchant()
					i:loc=src.loc
				else del(src)
			del(src)
	New()
		..()
		Wander()
	Skeleton
		icon_state="Skeleton"
		HP=10
		MHP=10
		minhit=2
		maxhit=4
		Sleep=10
		EXPGIVE=3
		GOLDGIVE=2
		DEF=2
		MORTAL=0
		Weaknesses=list("Earth","Air")
		Strengths=list("Fire","Ice")
		Items=list(/obj/Equipment/Weapons/Swords/Iron_Sword/ = 1.5, /obj/Equipment/Misc/Bone_Remains/ = 15)
	Human_Bandit
		icon='Human.dmi'
		HP=30
		MHP=30
		minhit=3
		maxhit=6
		Sleep=10
		EXPGIVE=14
		GOLDGIVE=9
		DEF=5
		MORTAL=1
		Element="Earth"
		ElementalDamage=5
		Weaknesses=list("Fire")
		Strengths=list("Earth")
		New()
			icon_state=pick("male","female")
			overlays+=image('Leather.dmi',"Leather ChestPlate")
			overlays+=image('Leather.dmi',"LeatherLeggings")
			overlays+=image('Metal.dmi',"Sword")
			..()
	Goblin
		icon='Goblin.dmi'
		HP=45
		MHP=45
		minhit=6
		maxhit=8
		Sleep=5
		EXPGIVE=20
		GOLDGIVE=16
		DEF=6
		MORTAL=1
		Element="Earth"
		ElementalDamage=7
		Weaknesses=list("Fire")
		Strengths=list("Earth")
		New()
			icon_state=pick("male","female")
			overlays+=image('Leather.dmi',"Leather ChestPlate")
			overlays+=image('Leather.dmi',"LeatherLeggings")
			overlays+=image('Metal.dmi',"Gladius")
			..()
	Orc_Bandit
		icon='Orc.dmi'
		HP=40
		MHP=40
		minhit=10
		maxhit=20
		Sleep=10
		EXPGIVE=17
		GOLDGIVE=12
		DEF=8
		MORTAL=1
		Element="Earth"
		ElementalDamage=5
		Weaknesses=list("Fire")
		Strengths=list("Earth")
		New()
			icon_state=pick("male","female")
			overlays+=image('Leather.dmi',"Leather ChestPlate")
			overlays+=image('Leather.dmi',"LeatherLeggings")
			overlays+=image('Metal.dmi',"MetalOrcAxe")
			overlays+=image('Metal.dmi',"Metal Buckler")
			..()
	Demorith
		icon='Demorith.dmi'
		icon_state="Male"
		HP=140
		MHP=140
		minhit=40
		maxhit=70
		Sleep=10
		EXPGIVE=50
		GOLDGIVE=60
		DEF=30
		MORTAL=1
		Element="Fire"
		ElementalDamage=15
		Weaknesses=list("Water")
		Strengths=list("Fire")
		New()
			overlays+=image('Demorith.dmi',"DemorithPlate")
			overlays+=image('Demorith.dmi',"DemorithHelmet")
			overlays+=image('Demorith.dmi',"DemorithLeggings")
			overlays+=image('Demorith.dmi',"DemorithRightArm")
			overlays+=image('Demorith.dmi',"DemorithLeftArm")
			overlays+=image('Demorith.dmi',"HellSword")
			..()
	Gargoyle
		icon='Gargoyle.dmi'
		icon_state="male"
		HP=80
		MHP=80
		minhit=20
		maxhit=30
		Sleep=10
		EXPGIVE=25
		GOLDGIVE=20
		DEF=14
		MORTAL=1
		Element="Earth"
		ElementalDamage=15
		Weaknesses=list("Water")
		Strengths=list("Earth")
		New()
			overlays+=image('Demorith.dmi',"DemorithPlate")
			overlays+=image('Demorith.dmi',"DemorithLeggings")
			overlays+=image('Demorith.dmi',"DemorithRightArm")
			overlays+=image('Demorith.dmi',"DemorithLeftArm")

			..()
	Vampire
		icon='Vampire.dmi'
		icon_state="male"
		HP=120
		MHP=120
		minhit=30
		maxhit=50
		Sleep=10
		EXPGIVE=35
		GOLDGIVE=30
		DEF=12
		MORTAL=1
		Element="Air"
		ElementalDamage=15
		Weaknesses=list("Earth")
		Strengths=list("Air")
		New()
			overlays+=image('Silver.dmi',"Silver ChestPlate")
			overlays+=image('Silver.dmi',"Silver Leggings")
			overlays+=image('Silver.dmi',"SilverLeft")
			overlays+=image('Silver.dmi',"SilverRight")
	Wolf
		icon='Monsters.dmi'
		icon_state="Wolf"
		HP=15
		MHP=15
		minhit=3
		maxhit=5
		Sleep=7
		EXPGIVE=10
		GOLDGIVE=6
		DEF=4
		MORTAL=1
		Element="Earth"
		ElementalDamage=5
		Weaknesses=list("Air")
		Strengths=list("Earth")
