obj
	proc/
		Stepped_On()
			..()
	Nature
		icon='T2.dmi'
		Boulder
			icon_state="Boulder"
			density=1

		Log
			icon_state="Log"
			density=1
		Tree
			icon='Tree.dmi'
			Tree1
				icon_state="tree1"
				pixel_y=64
				layer=100
			Tree2
				icon_state="tree2"
				pixel_y=32
				layer=100
			Tree3
				icon_state="tree3"
				density=1
				New()
					..()
					overlays+=/obj/Nature/Tree/Tree2
					overlays+=/obj/Nature/Tree/Tree1
			Tree4
				icon_state="tree4"
				pixel_y=64
				layer=100
			Tree5
				icon_state="tree5"
				pixel_y=32
				layer=100
			Tree6
				icon_state="tree6"
				density=1
				New()
					..()
					overlays+=/obj/Nature/Tree/Tree5
					overlays+=/obj/Nature/Tree/Tree4

		Ore
			//var/containsp=list(/obj/Nature/Ore/Minerals/Iron,/obj/Nature/Ore/Minerals/Coal,/obj/Nature/Ore/Minerals/Gold)
			var/contains
			var/levelreq
			Rocks
				icon='Indoors.dmi'
				icon_state="rock_2"
				Rocks2
					icon='Indoors.dmi'
					icon_state="rock_1"
					name="Rocks"
				New()
					..()
					contains=pick(
								/obj/Nature/Ore/Minerals/Iron,
								prob(50)
								/obj/Nature/Ore/Minerals/Coal,
								prob(20)
								/obj/Nature/Ore/Minerals/Gold
								)
					var/I=new contains
					levelreq=I:levelreq

			Minerals
				Iron
					levelreq=0
				Coal
					levelreq=10
				Gold
					levelreq=20



////////////////////////Doors//////////////////
obj/Doors/
	layer=55
	var/
		doorlocked
		password
		istate
		istate2
		itrans
		itrans2
		bumpable=1
		pword
	proc/
		Open(mob/M)
			set name = "Open/Close" //verb to open door
			set category = null
			set src in oview(1) //how many squares away you can be to access the open/close verb. in this case its 1 square
			if(istype(M,/mob/Player))
				usr = M
			if(pword)
				if(!usr) return
				if(pword != input("This door requires a password") as text)
					usr << "The door doesn't respond to the password.  Perhaps you gave the wrong one?"
					return
			if(!doorlocked)
				var/opa = 1
				if(!opacity) opa = 0
				if(!density) return
				src.density = 0 //changes density when opened
				src.opacity = 0 //changes opacity when opened
				src.icon_state = istate // changes icon to open
				if(itrans)
					flick(itrans,src)
				if(bumpable==1)
					sleep(50)
					src.density = 1 //changes density back when closed
				if(opa) src.opacity = 1 //changes opacity back when closed
				if(itrans2)
					flick(itrans2,src)
				src.icon_state = istate2 //change icon back to closed
			else
				usr<<"This door seems to locked."
				for(var/obj/Equipment/Misc/Lockpick/A in usr)
					if(A in usr)
						if(alert("Attempt to pick the lock?","Picklock","Yes","No")=="Yes")
							if(prob(usr.Lockpick+rand(15,-15)))
								usr<<"You successfully pick the lock."
								usr.Lockpick+=0.5
								src.doorlocked=0
								spawn(400) doorlocked=1
							else
								usr<<"You fail to pick the lock."
								del(A)
								usr.UpdateInv()
				return
	Woodendoor
		icon = 'Door.dmi' //the .dmi the door is located in
		icon_state = "closed" //the icon state of the picture in the door.dmi file
		density = 1 //density 1 means you cant walk through it and density 0 means u can walk through it
		opacity = 1 //same as density except sight. Cannot see thru...
		name = "Door"
		istate = "open"
		itrans = "opening"
		itrans2 = "closing"
		istate2 = "closed"
	DoorCage
		icon = 'Building.dmi' //the .dmi the door is located in
		icon_state = "DoorCage" //the icon state of the picture in the door.dmi file
		density = 1 //density 1 means you cant walk through it and density 0 means u can walk through it
		opacity = 1 //same as density except sight. Cannot see thru...
		name = "Door"
		istate = "DoorCage"
		itrans
		itrans2
		istate2 = "DoorCageO"


//////////////////////////////Indoors/////////////////////

obj
	Indoors
		icon='Indoors.dmi'
		Furniture
			Bed
				bed_1
					icon_state="bed_1"
					pixel_y=32
					pixel_x=-32
					density=1
				bed_2
					icon_state="bed_2"
					pixel_y=32
					density=1
				bed_3
					icon_state="bed_3"
					pixel_x=-32
				bed_4
					icon_state="bed_4"
					New()
						..()
						overlays+=/obj/Indoors/Furniture/Bed/bed_1
						overlays+=/obj/Indoors/Furniture/Bed/bed_2
						overlays+=/obj/Indoors/Furniture/Bed/bed_3
						overlays+=/obj/Indoors/Furniture/Bed/bed_5
						overlays+=/obj/Indoors/Furniture/Bed/bed_6
				bed_5
					icon_state="bed_5"
					pixel_y=-32
					pixel_x=-32
					density=1
				bed_6
					icon_state="bed_6"
					pixel_y=-32
					density=1
			Swords
				icon_state="sword_set"
			Lantern
				icon_state="lantern"
				luminosity=3
			Doormat
				icon_state="doormat"
			Tree
				icon_state="tree_1"
				density=1
			BedSingle
				icon='Building.dmi'
				icon_state="Bed"
			Table
				icon='Building.dmi'
				icon_state="Table"
				density=1
			Tomb
				icon='Building.dmi'
				icon_state="Tomb"
				density=1
			Stairsup
				icon='Building.dmi'
				icon_state="Up"
				Stepped_On()
					usr.z--
			Stairsdown
				icon='Building.dmi'
				icon_state="Stairs"
				Stepped_On()
					usr.z++
////////////////////////Outdoors//////////////////////
obj
	Outdoors
		icon='Building.dmi'
		Furniture
			Sign
				var/message
				var/writabe=1
				icon_state="sign"
				density=1
				DblClick()
					if(alert("Write, or read?","Sign","Write","Read")=="Write")
						if(writabe)
							message=input("What would you like to write on the sign?","Write",message) as text
						else
							usr<<"A magical force protects this sign."
							return
					else
						var/messagehtml="<head><title>Sign</title></head><body bgcolor=#000000 text=#FFFF00><center><font color = white><font size=1><font face=Tahoma>[message]<BR></font>"
						usr<<browse(messagehtml,"window=Sign")
			Fire
				icon='Building.dmi'
				icon_state="Fire"
				density=1
				luminosity=4
			IronChest
				icon_state="Metal Chest"
				name="Iron Chest"
				density=1
				var/list/Items=list("Iron Sword")
				var/chestlocked
				DblClick()
					if(chestlocked)
						usr<<"This chest seems to locked."
						for(var/obj/Equipment/Misc/Lockpick/A in usr)
							if(A in usr)
								if(alert("Attempt to pick the lock?","Picklock","Yes","No")=="Yes")
									if(prob(usr.Lockpick+rand(10,-10)))
										usr<<"You successfully pick the lock."
										src.chestlocked=0
										Open()
									else
										del(A)
										return
					else Open()
				proc/Open()
					for(var/obj/O in world)
						if(O.z==3&&O.x==350&&O.y==350&&Items.Find(O.name))
							Items-=O.name
							var/obj/Equipment/I=new O.type(src.loc)
							I.Purchased=0
					del(src)

obj
	Misc
		Lava
			icon='Lava.dmi'
			icon_state="Lava"
			density=1
			luminosity=2