mob/Royalty
	var/
		LEVELREQ
		Place
		GOLD
		list/Enemies=list()
		target
		minhit
		maxhit
		Sleep
		Taxes=0.15
	proc/FindOwner()
		var/Owner="nobody"
		for(var/mob/M in world)
			if(M.Ownership.Find("[Place]"))
				Owner=M
		return Owner
	proc/IfOwner(mob/Owner)
		if(Owner.Ownership.Find("[Place]"))
			return 1
		else
			return 0
		//return 0
	proc/Wander()
		while(!target)
			sleep(20)
			for(var/mob/Player/M in oview(6)) if(Enemies.Find(M))
				target=M
			if(target) AttackTarget()
	proc/AttackTarget()
		while(target)
			if(get_dist(src,target)>1)
				if(get_dist(src,target)>5)
					target=null
				step_towards(src,target)
				sleep(20)
			else
				if(get_dist(src,target)>1) return
				var/damage=rand(minhit,maxhit)
				target<<"[src] attacks you for [damage]."
				target:Combat=1
				spawn(100) if(target) target:Combat=0
				target:HP-=damage
				if(prob(20)&&target:MORTAL) Blood(target:x,target:y,target:z)
				target:Bars()
				target:DeathCheck(src)
				sleep(Sleep)
	DeathCheck(mob/killer)
		if(HP<=0)
			HP=MHP
			if(IfOwner(killer))
				src.Enemies=list()
				src.target=null
			for(var/mob/M in world) if(IfOwner(M)) M.Ownership-="[Place]"
			killer.Ownership+="[Place]"
			world<<"<b>[Place] has been captured by [killer]!"
			src.loc=locate(0,0,0)
			spawn(1) src.loc=initial(loc)
			src.Enemies=list()
			src.target=null
	verb/Speak()
		set src in oview(1)
		if(IfOwner(usr))
			usr<<"[src]: Greetings, sire. "
			sleep(30)
			if(get_dist(src,usr)>1) return
			var/what=input("What would you like to do on this fine morning?","Input") in list("Adjust Taxes","Gold Coffers","Intruders")
			switch(what)
				if("Gold Coffers")
					usr<<"[src]: There is [GOLD] gold in the vaults."
					sleep(30)
					if(get_dist(src,usr)>1) return
					if(alert("Withdraw or deposit?","Coffers","Withdraw","Deposit")=="Withdraw")
						var/number=input("How much do you want to withdraw?","Gold") as num
						if(get_dist(src,usr)>1) return
						if(number<=0) return
						if(number>GOLD) return
						usr<<"You withdraw [number] gold."
						usr.Gold+=number
						GOLD-=number
					else
						var/number=input("How much do you want deposit?","Gold") as num
						if(get_dist(src,usr)>1) return
						if(number<=0) return
						if(usr.Gold<=number) return
						usr<<"You deposit [number] gold."
						usr.Gold-=number
						GOLD+=number
					return
				if("Adjust Taxes")
					var/Tax=input("Please input the taxes although they must be kept under 1.0","Taxes") as num
					if(get_dist(src,usr)>1) return
					if(Tax>1) return
					if(Tax<0) return
					Taxes=Tax
					usr<<"Taxes are now [Tax*100]%."
					return
				if("Intruders")
					if(alert("Remove or Add intruders?","Intruders","Add","Remove")=="Add")
						var/list/Who=list()
						for(var/mob/Player/M in world)
							Who+=M
						Who-=usr
						Who+="Cancel"
						usr<<"Here you are able to control who your guards will attack within the city."
						usr<<"Who do you wish to mark as an intruder (They will attack them on sight)."
						var/Intruder=input("Who do you wish to mark as an intruder?","Intruders") in Who
						if(Intruder=="Cancel") return
						for(var/mob/Henchmen/Guard/G in world)
							if(G.Place==src.Place)
								G.Enemies+=Intruder
						return
					else
						var/list/Who=list()
						for(var/mob/Player/M in world)
							Who+=M
						Who-=usr
						Who+="Cancel"
						usr<<"Here you are able to control who your guards will attack within the city."
						usr<<"Who do you wish to remove as an intruder?"
						var/Intruder=input("Who do you wish to remove as an intruder?","Intruders") in Who
						if(Intruder=="Cancel") return
						for(var/mob/Henchmen/Guard/G in world)
							if(G.Place==src.Place)
								G.Enemies-=Intruder
						return
		usr<<"[src]: Hello, I am the [src]. This place is owned by [FindOwner()]"
		sleep(20)
		if(get_dist(src,usr)>1) return
		usr<<"[src]: What do you want?"
		sleep(20)
		if(alert("What do you want to do?","Action","Leave","Attack")=="Attack")
			if(get_dist(src,usr)>1) return
			if(IfOwner(usr))
				usr<<"You already own this town."
				return
			if(FindOwner()) FindOwner()<<"<b>[Place] is under attack by [usr]!</b>"
			usr<<"[src]: Very well then, ENGARDE!"
			src.Enemies+=usr
	CaptainGuard
		name="Captain of the Guard"
		icon='Human.dmi'
		icon_state="male"
		Place="Gragil"
		HP=500
		MHP=500
		minhit=50
		maxhit=100
		Sleep=10
		proc/Tithe()
			while(src)
				sleep(3000)
				for(var/mob/Royalty/M in world) if(M.Place=="[Place] Keep")
					M.Gold+=(Gold*0.25)
					Gold-=(Gold*0.25)
		New()
			..()
			overlays+=image('Bone.dmi',"RoyalArmour")
			overlays+=image('Gold.dmi',"Gold Leggings")
			overlays+=image('Gold.dmi',"GRightArm")
			overlays+=image('Gold.dmi',"GLeftArm")
			Wander()
	Lord
		name="Lord"
		icon='Monsters.dmi'
		icon_state="Captain"
		Place="Gragil Keep"
		HP=1000
		MHP=1000
		minhit=100
		maxhit=200
		Sleep=8
		New()
			..()
			name="Lord of [Place]"
			Wander()
