obj/
	Guild
		icon='HUD.dmi'
		icon_state="Guild"
		screen_loc="15,0"
		var/
			list/Members=list()
			list/Ranks=list("Member","Veteran","Leader")
		Click()
			var/Choice
			if(!Members.len&&!Members.Find(usr)&&!usr.Guild)
				switch(input("What would you like to do?","Guild Info")in list("Create New Guild","Cancel"))
					if("Create New Guild")
						var/obj/Guild/G=new/obj/Guild
						usr.Guild=G
						G.Members+=usr
						G.Members[usr]="Leader"
						while(!G.name)
							G.name=input("What would you like to name this guild?") as text
							if(lentext(G.name)<3||lentext(G.name)>25)
								usr<<"Invalid name.";continue
							G.name="[html_encode(G.name)]"
				return
			if(usr.Guild.Members.Find(usr))
				switch(input("What would you like to do?","Guild Info")in list("Adjust Members","Cancel"))
					if("Adjust Members")
						if(usr.Guild.Members[usr]=="Veteran"||usr.Guild.Members[usr]=="Leader")
							Choice=input("What would like to do?","Guild Info: Adjusting Members")in list("Invite","Boot","Assign Ranks","Leave","Cancel")
						else
							Choice=input("What would like to do?","Guild Info: Adjusting Members")in list("Leave","Cancel")
						switch(Choice)
							if("Cancel") return
							if("Invite")
								var/list/who=list()
								for(var/mob/Player/M in world) if(M.z<3)
									who+=M
								who+="Cancel"
								var/mob/Invitation=input("Who would you like to invite?") in who
								if(Invitation=="Cancel") return
								if(usr.Guild.Members.Find(Invitation))
									usr<<"They are already in your guild."
									return
								if(alert(Invitation,"[usr] would like to invite you to [src]","Invitation!","Accept","Decline")=="Accept")
									for(var/mob/Player/M in usr.Guild.Members) if(M.z<3)
										M<<"[usr] has recruited [Invitation] to our guild, welcome [Invitation]!"
										M.Guild.Members+=Invitation
										M.Guild.Members[Invitation]="Member"
								else
									usr<<"[Invitation] has declined the invitation."
							if("Boot")
								var/list/who=list()
								for(var/mob/Player/M in usr.Guild.Members)
									who+=M
								who+="Cancel"
								var/mob/Boot=input("Who would you like to boot?") in who
								if(Boot=="Cancel") return
								if(alert("Are you sure you want to boot [Boot]?!","Confirm!","No","Yes")=="Yes")
									for(var/mob/Player/M in usr.Guild.Members)
										M<<"[usr] has booted [Boot] from the guild!"
										M.Guild.Members-=Boot
							if("Leave")
								if(alert("Are you sure you want to leave the guild?!","Confirmation!","No","Yes")=="Yes")
									usr<<"[usr] has left the guild!"
									for(var/mob/Player/M in usr.Guild.Members)
										M.Guild.Members-=usr
							if("Assign Ranks")
								var/list/who=list()
								for(var/mob/Player/M in usr.Guild.Members)
									who+=M
								who+="Cancel"
								var/mob/Person=input("Who's rank would you like to chage?") in who
								if(Person=="Cancel") return
								var/Rank=input("Which rank would you like to change [Person] to?","Ranks")in Ranks
								for(var/mob/Player/M in Members)
									M<<"[Person] has had their rank changed to [Rank]!"
									M.Guild.Members[Person]=Rank
