

//Here's the update to tell the Grid Inventory, what to have within' it.
mob/proc/UpdateInv()
	var/I = 0
	for(var/obj/O in src.contents)//Loop through all the items in the players contents
		winset(src, "default.inventory", "current-cell=1,[++I]")	//Add multiple cells horizontally for each obj
		src << output(O, "default.inventory")//Send the obj's in src.contents to the Grid
	winset(src,"default.inventory", "cells=[I]")//Set the amount of cells to the amount within I
//The Drag'n'Drop Processes
mob/proc/UpdateEquip()
	var/I = 0
	for(var/obj/O in usr.hiddenlist)
		winset(src, "default.weaponslot", "current-cell=1,[++I]")
		usr<< output(O,"default.weaponslot")
	winset(src,"default.weaponslot", "cells=[I]")//Set the amount of cells to the amount within I
mob/proc/UpdateIcon()
	//usr.overlays+=image('Players.dmi',"[usr.Hair]")
	for(var/obj/Equipment/O in usr.hiddenlist)
		var/I=new O.overlayer
		if(O.equipped) usr.overlays+=image('Overlayers.dmi',"[I]")
obj
	Equipment
		MouseDrag(src_object,over_object,src_location,over_location,src_control,over_control,params)
			//if(!(src in usr.contents)) return
			//else
			if(istype(src,/obj/Equipment/Gold/)) return
			var/icon/I = new(src.icon,src.icon_state)//this is for the Blend affect
			var/icon/D = new('Mouse.dmi',"drags")//This is the icon were going to give the mouse_drag_pointer
			D.Blend(I,ICON_OVERLAY)//Blend our new Icon D and our obj icon(I) into one another
			mouse_drag_pointer = D // now lets set the mouse pointer to the new blended icon


		MouseDrop(over_object=src,src_location,over_location, src_control,over_control,params)
			//Get
			if(istype(src,/obj/Equipment/Gold/)) return
			if(get_dist(usr,src)<=1)
				if(over_control == "default.inventory"&&src_control!="default.inventory")
					src.loc = usr
					usr << "You pick up \a [name]!"
					usr.UpdateInv() //Now lets tell our new invy what we just did.

			//Equip
			if(src in usr.contents)
				if(src_control == "default.inventory")//Check if it is COMING from the inventory pane.
					if(over_control == "default.weaponslot")//Check if its being DROPPED over the weaponslot.
						if(istype(src,/obj/Equipment/Weapons/))
							if(!usr.weapon)
								usr.weapon=src
								src.loc = usr.hiddenlist //send it away so it doesnt show up in the invy.
								usr.hiddenlist += src
								equipped=1
								usr.UpdateEquip()
								usr.UpdateInv()
								usr <<"You equip [src.name]"
								usr.overlays+=image('Overlayers.dmi',"[src]")
								usr.DAMAGE+=src.DAMAGE
								if(Element) usr.Element=src.Element
								if(ElementalDamage) usr.ElementalDamage=src.ElementalDamage
							else
								usr << "You must unequip your [usr.weapon] first."
						else if(istype(src,/obj/Equipment/Armour/))
							if(src.TYPE in usr.Armour)
								usr.overlays+=image('Overlayers.dmi',"[src]")
								usr.Armour-=src.TYPE
								usr.DEF+=src.DEF
								src.loc = usr.hiddenlist //send it away so it doesnt show up in the invy.
								usr.hiddenlist += src
								equipped=1
								usr.UpdateEquip()
								usr.UpdateInv()
								usr <<"You equip [src.name]"
							else
								usr << "You must unequip the [src.TYPE] in that slot."

				//Drop
				if(over_location==null||over_location=="default.map1") //Drags it to where ever else, that we haven't define above.
					if(!equipped)
						switch(alert("Are you sure you want to drop [name]?","Drop [name]","Drop it","Cancel"))
							if("Drop it")
								src.loc=locate(usr.x,usr.y,usr.z)
								usr.UpdateInv()
							else return
					else
						usr << "You cannot drop [name] while it is equipped!"
						return

			//Unequip
			else
				if(src_control =="default.weaponslot")//if what were dragging from is the weaponslot iteself
					if(istype(src,/obj/Equipment/Weapons/))
						if(usr.weapon==src)
							if(equipped)
								usr.weapon=null
								equipped=0
								src.loc=usr // send it back to the usr.contents (using usr sends it directly to usr.contents by default.)
								usr.hiddenlist -= src
								usr.UpdateEquip()
								usr.UpdateInv()
								usr << "You unequip [src.name]"
								usr.overlays-=image('Overlayers.dmi',"[src]")
								usr.DAMAGE=0
					else if(istype(src,/obj/Equipment/Armour/))
						if(equipped)
							usr.Armour+=src.TYPE
							usr.DEF-=src.DEF
							src.loc = usr
							usr.hiddenlist -= src
							equipped=0
							usr.UpdateEquip()
							usr.UpdateInv()
							usr <<"You unequip [src.name]"
							usr.overlays-=image('Overlayers.dmi',"[src]")