proc/hasSavefile(var/ckey)
	var/letter = copytext(ckey,1,2)
	return fexists("Players/[letter]/[ckey].sav")
turf
	Loginscreen
		Main
			icon='shattered.jpg'
			density=1
		New
			icon='Newbutton.jpg'
			icon_state="Stats"
			layer=999
			Click()
				if(usr.type != /mob/Player) return
				var/mob/Player/A=usr
				spawn() A.NewCharacter()
		Load
			icon='Loadbutton.jpg'
			icon_state="Stats"
			layer=999
			Click()
				if(usr.type != /mob/Player) return
				var/mob/Player/A=usr
				spawn() A.LoadCharacter()
mob/Player
	see_in_dark=3
	Login()
		..()
		//var/html="<body bgcolor=Black><font color=white>"
		//usr << browse(html)
		src.verbs -= src.verbs
		src.loc=locate(342,341,3)
		src.Frozen=1
		src.invisibility=1
	Logout()
		if(!z)
			CRASH("ERROR: [src] had no Z coords while logging out.")
			del src
			return
		if(!key)
			CRASH("ERROR: [src] left there mob without logging out.")
			del src
			return
		world<<"[src.name] has logged out!"
		var/letter = copytext(ckey,1,2)
		if(fexists("Players/[letter]/[ckey].sav")) fdel("Players/[letter]/[ckey].sav")
		var/savefile/F = new("Players/[letter]/[ckey].sav")
		var/savefile/G = new("Guilds.sav")
		//ASSERT(src && ismob(src))
		LastYear=Year
		G["[src]"] << src.Guild
		F["x"] << src.x
		F["y"] << src.y
		F["z"] << src.z
		src.overlays=null
		Write(F)
		sleep(5)
		del src
	proc/NewCharacter()
		src.name = null
		while(!src.name)
			src.name = input(src, "What will your name be?", "Name")as text
			var/leng = lentext(src.name)
			if((leng>25) || (leng<3))
				src << "The name must be between 3 and 25 characters."
				src.name = null
				continue
			if(uppertext(src.name) == src.name)
				src << "Your name may not consist entirely of capital letters."
				src.name = null
				continue
		src.icon_state="[src.gender]"
		while(!src.Race)
			src.Race=input("What race would you like to play as?","Race")in list("Human","Goblin","Orc")
			if(alert("Are you sure you want to play as \a [src.Race]?","Confirmation","Yes","No")=="No")
				src.Race=null
				continue
	/*	while(!src.Hair)
			src.Hair=input("What type of hair would you like?","Hair")in list("Short","Long","Spikey")
			if(alert("Are you sure you want [src.Hair] hair?","Confirmation","Yes","No")=="No")
				src.Hair=null
				continue*/
		switch(src.Race)
			if("Human") icon='Human.dmi'
			if("Goblin") icon='Goblin.dmi'
			if("Orc") icon='Orc.dmi'
		world << "[src.name] has logged in for the first time."
		src.Frozen=0
		src.invisibility=0
		src.BirthMonth=Month
		if(Race=="Human")
			src.loc=locate(20,276,1)
			AGILITY+=2
			MMP+=10
		if(Race=="Orc")
			src.loc=locate(316,179,1)
			STR+=5
			MHP+=6
		if(Race=="Goblin")
			src.loc=locate(68,47,2)
			see_in_dark=5
			AGILITY+=5
			MHP+=3
		//src.loc=locate(15,4,1)
		src.verbs+=typesof(/mob/verb/)
		usr<<"Z - Attack"
		usr<<"Space - Say"
		usr<<"X - OOC"
		usr<<"You were born in the month of [BirthMonth]."
		usr<<"You are [Age] years of age."
		//usr.Ownership+="Gragil"
		spawn()UpdateIcon()
		spawn()StarterEquip()
		spawn()CreateHUD()
		spawn()Regeneration()
	proc/LoadCharacter()
		ASSERT(hasSavefile(src.ckey) && src.client)
		var/letter = copytext(ckey,1,2)
		var/savefile/F = new("Players/[letter]/[ckey].sav")
		var/savefile/G = new("Guilds.sav")
		Read(F)
		sleep(5)
		src.Move(locate(F["x"], F["y"], F["z"]))
		if(!src.loc||!src.z) src.loc = locate(14,12,1)
		world<<"[src.name] has logged in."
		src.Frozen=0
		src.invisibility=0
		src.verbs+=typesof(/mob/verb/)
		if(usr.LastYear!=Year&&usr.LastYear<Year)
			var/TimeDifference=(Year-LastYear)
			while(TimeDifference)
				STR+=rand(1,3)
				DEF+=rand(1,3)
				MAGIC+=rand(1,3)
				MHP+=rand(5,10)
				MMP+=rand(3,7)
				HP=MHP
				MP=MMP
			Age=TimeDifference
		usr<<"You are age [Age]."
		usr<<"It is [Month], Year [Year]."
		G["[src]"] >> src.Guild
		spawn()UpdateIcon()
		spawn()UpdateInv()
		spawn()UpdateEquip()
		spawn()CreateHUD()
		spawn()Bars()
		spawn()Regeneration()

mob/proc/StarterEquip()
	var/obj/Equipment/Gold/Z=new/obj/Equipment/Gold(src)
	Z.Owner=src.ckey
	var/list/Starting=list(/obj/Equipment/Armour/Leather/Leather_Plate/,/obj/Equipment/Armour/Leather/Leather_Leggings/,/obj/Equipment/Armour/Leather/Leather_Right_Arm/,/obj/Equipment/Armour/Leather/Leather_Left_Arm/)
	while(Starting.len)
		var/obj/Equipment/I=pick(Starting)
		Starting-=I
		var/obj/Equipment/M=new I(src)
		var/K=new M.overlayer
		src.overlays+=image('Overlayers.dmi',"[K]")
		src.Armour-=M.TYPE
		M.loc = src.hiddenlist //send it away so it doesnt show up in the invy.
		src.hiddenlist += M
		M.equipped=1
		src.UpdateEquip()
		src.UpdateInv()
