mob/verb
	SwitchSkill()
		if(Skills.len)
			var/skill=pick(Skills-ActiveSkill)
			if(skill)
				ActiveSkill=skill
				src<<"Active Skill now set to [skill]."
	UseSkill()
		switch(ActiveSkill)
			if("Fireball")
				if(src.MP<25)
					src<<"You need 25 MP to cast this."
					return
				src.MP-=25
				var/obj/Spells/Fireball/F=new/obj/Spells/Fireball(usr.loc)
				F.damage=usr.MAGIC/2+usr.DAMAGE+rand(-5,5)
				F.dir=src.dir
				F.owner=src.ckey
				walk(F,F.dir)
				spawn(20)
					del F
			if("Iceblast")
				if(src.MP<35)
					src<<"You need 35 MP to cast this."
					return
				src.MP-=35
				var/obj/Spells/Iceblast/F=new/obj/Spells/Iceblast(usr.loc)
				F.damage=usr.MAGIC+usr.DAMAGE+rand(-15,10)
				F.dir=src.dir
				F.owner=src.ckey
				walk(F,F.dir,2)
				spawn(20)
					del F
			if("Smash")
				var/damage=usr.STR*2+usr.DAMAGE+rand(-5,5)
				if(MP<20)
					src<<"You need 20 MP to cast this."
					return
				MP-=20
				for(var/mob/M in get_step(src,src.dir))
					if(istype(M,/mob/Player/))
						if(!M.PVP||!usr.PVP)
							src<<"[M] cannot be attacked, as you or they must enable PVP."
							return
					if(istype(M,/mob/Royalty/))
						var/mob/Royalty/A=M
						if(src.Ownership.Find(A.Place)) return
						A.Enemies+=src
					if(istype(M,/mob/Henchmen/))
						var/mob/Henchmen/A=M
						if(A.Owner==usr.ckey) return
						A.Enemies+=src
					if(src.Status["Attacking"]) return
					if(usr.ElementalDamage)
						damage+=usr.ElementalDamage
					if(M.Weaknesses.Find(usr.Element)) damage+=usr.ElementalDamage
					if(M.Strengths.Find(usr.Element)) damage-=(usr.ElementalDamage/2)
					if(M.DEF) damage-=(M.DEF/2)
					src.Status["Attacking"]=1
					spawn(10) src.Status["Attacking"]=0
					if(damage<1||M.AGILITY+rand(3,-3)>damage)
						src<<"[M] dodges the blow."
						M<<"[src] attacks at you, but you dodge!"
					else
						Combat=1
						M.Combat=1
						spawn(100) if(M) M.Combat=0
						spawn(100) if(src) Combat=0
						M.HP-=damage
						src<<"You [usr.weapon ? "hack at" : "punch"] [M] for [damage]!"
						M<<"[src] [usr.weapon ? "hacks at" : "punches"] you for [damage]!"
						if(prob(20)&&M.MORTAL)
							Blood(M.x,M.y,M.z)
							if(M.Bleeding<6) M.Bleeding++
							spawn()M.Bleed()
						M.Bars()
						M.DeathCheck(src)
			if("Whirlwind")
				var/damage=round(usr.STR*1.3+usr.DAMAGE+rand(-5,5))
				if(MP<50)
					src<<"You need 50 MP to cast this."
					return
				MP-=50
				view(src)<<"<font color=blue>[src]: <font color=red><b>Whirlwind!</b></font>"
				for(var/mob/M in orange(1))
					if(istype(M,/mob/Player/))
						if(!M.PVP||!usr.PVP)
							src<<"[M] cannot be attacked, as you or they must enable PVP."
							return
					if(istype(M,/mob/Royalty/))
						var/mob/Royalty/A=M
						if(src.Ownership.Find(A.Place)) return
						A.Enemies+=src
					if(istype(M,/mob/Henchmen/))
						var/mob/Henchmen/A=M
						if(A.Owner==usr.ckey) return
						A.Enemies+=src
					if(usr.ElementalDamage)
						damage+=usr.ElementalDamage
					if(M.Weaknesses.Find(usr.Element)) damage+=usr.ElementalDamage
					if(M.Strengths.Find(usr.Element)) damage-=(usr.ElementalDamage/2)
					if(M.DEF) damage-=(M.DEF/2)
					if(damage<1||M.AGILITY+rand(3,-3)>damage)
						src<<"[M] dodges the blow."
						M<<"[src] attacks at you, but you dodge!"
					else
						Combat=1
						M.Combat=1
						spawn(100) if(M) M.Combat=0
						spawn(100) if(src) Combat=0
						src.dir=SOUTH
						sleep(1)
						src.dir=EAST
						sleep(1)
						src.dir=NORTH
						sleep(1)
						src.dir=WEST
						M.HP-=damage
						src<<"You [usr.weapon ? "hack at" : "punch"] [M] for [damage]!"
						M<<"[src] [usr.weapon ? "hacks at" : "punches"] you for [damage]!"
						if(prob(20)&&M.MORTAL)
							Blood(M.x,M.y,M.z)
							if(M.Bleeding<6) M.Bleeding++
							spawn()M.Bleed()
						M.Bars()
						M.DeathCheck(src)
			if("Lava Burst")
				var/damage=round(usr.MAGIC*1.6+usr.DAMAGE+rand(-10,10))
				if(MP<75)
					src<<"You need 75 MP to cast this."
					return
				MP-=75
				view(src)<<"<font color=blue>[src]: <font color=red><b>LAVA BURST!</b></font>"
				for(var/turf/T in orange(2))
					var/obj/Misc/Lava/L=new/obj/Misc/Lava(T)
					spawn(20) del(L)
					for(var/mob/M in orange(2))
						if(istype(M,/mob/Player/))
							if(!M.PVP||!usr.PVP)
								src<<"[M] cannot be attacked, as you or they must enable PVP."
								return
						if(istype(M,/mob/Royalty/))
							var/mob/Royalty/A=M
							if(src.Ownership.Find(A.Place)) return
							A.Enemies+=src
						if(istype(M,/mob/Henchmen/))
							var/mob/Henchmen/A=M
							if(A.Owner==usr.ckey) return
							A.Enemies+=src
						if(M.Weaknesses.Find("Fire")) damage*=1.2
						if(M.Strengths.Find("Fire")) damage/=1.2
						if(M.DEF) damage-=(M.DEF/2)
						if(damage>1)
							Combat=1
							M.Combat=1
							spawn(100) if(M) M.Combat=0
							spawn(100) if(src) Combat=0
							M.HP-=round(damage)
							src<<"You burn [M] for [round(damage)]!"
							M<<"[src] burns you for [round(damage)]!"
							if(prob(20)&&M.MORTAL)
								Blood(M.x,M.y,M.z)
								if(M.Bleeding<6) M.Bleeding++
								M.Bleed()
							M.Bars()
							M.DeathCheck(src)
						else
							return